---
schema_version: "1"
id: 88e01f6fb782a8462b2f60bc706e5e2f47b9c5fc2ea36c1791dd9bfe7fe691c4
title: GET /sms/v1/messageContact/{messageId}/deliveries/{tokenId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getMessageContactDelivery.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_sms/getMessageContactDelivery.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 87c49d271e1cd730e800fb645bbf95b1ad226110f337941f5efd5f43d6ae029a
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /sms/v1/messageContact/{messageId}/deliveries/{tokenId}

Retrieves the overall delivery status of a message to a contact and the standard SMS status codes and descriptions. Standard SMS status codes are universal regardless of where messages are sent. This API returns status codes in the order received from carriers. It's possible for Marketing Cloud Engagement to receive codes after the delivered or undelivered status has been returned. Infer the final message status from the status code with the highest numerical value.

## URL Parameters

| Name        | Type   | Description                                               |
| ----------- | ------ | --------------------------------------------------------- |
| `messageId` | String | Required. The message ID provided for the messageContact. |
| `tokenId`   | String | Required. The token ID for the messageContact.            |

## Usage

This sample request shows how to retrieve the status of an SMS send.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/v1/messageContact/MESSAGE_ID/deliveries/TOKEN_ID
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

The API returns an HTTP `200` response that includes information about the specified send.

```json
{
    "message": "Test Delivery Receipt",
    "count": 1,
    "createDate": "2013-04-25T15:01:04.147",
    "completeDate": "2013-04-25T15:01:55.197",
    "status": "Finished",
    "tracking": [
        {
            "mobileNumber": "15555555510",
            "statusCode": "20",
            "message": "NA"
            "standardStatusCode": "3000",
            "description": "Message enroute"
        },
        {
            "mobileNumber": "15555555510",
            "statusCode": "200",
            "message": "Carrier Success",
            "standardStatusCode": "4000",
            "description": "Delivered to handset"
        },
        {
            "mobileNumber": "15555555510",
            "statusCode": "20",
            "message": "Message sent to carrier",
            "standardStatusCode": "3001",
            "description": "Message Sent to Carrier"
        },
        {
            "mobileNumber": "15555555510",
            "statusCode": "0",
            "message": "DELIVERED TO Air2Web",
            "standardStatusCode": "2000",
            "description": "Message was Delivered to Aggregator"
        }
    ]
}
```

The response includes this information about the send:

- `message`

  - : The message text sent in the SMS message

- `count`

  - : The total number of mobile numbers included in the send request minus the number of unsubscribed recipients

- `createdDate`

  - : Date when the MessageContact send was submitted, returned in Central Standard Time (CST)

- `createdDate`

  - : Date when the send completed, returned in CST

- `status`

  - : The status of the send. Possible values:

    - `Finished`
    - `Error`
    - `New`
    - `Queuing`
    - `Started`

If the request includes an invalid messageId or tokenId, the API returns an HTTP `400` response that describes the error.

```js
{
  "errors" : ["Message id cI217sdksi3 is not valid."]
}
```

| Message                                                                              | Details                                                                                                                                                                                 |
| ------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Message id {0} isn't valid.                                                          | The messageID value provided in the URL wasn't in a valid format.                                                                                                                       |
| "Token id {0} isn't valid."                                                          | The tokenId value provided in the URL wasn't in a valid format.                                                                                                                         |
| Token id {0} isn't valid for this client.                                            | The tokenId value provided is valid but was created for another client.                                                                                                                 |
| TokenId {0} isn't valid for MessageId {1}.                                           | The tokenId value provided is valid for your account but not for the MessageId provided.                                                                                                |
| An unexpected error occurred, please contact Customer Support with reference id {0}. | If this unexpected error is presented when making a call, please take note of the reference id value returned in the error and contact ExactTarget Global Support for more information. |
